%define svnver 1
Summary: Subversion
Name: subversion
Version: 1.12.2
Release: 12%{?dist}2a
Source0: localhost:/%{name}-%{version}.tar.bz2
URL: https://subversion.apache.org
License: License:        ASL 2.0
%define __prefix	/opt/apache
Prefix: %{__prefix}
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: apr-devel >= 1.3.0, apr-util-devel >= 1.3.0, serf-devel >= 1.3.0 

%description
Subversion is an open source version control system. Founded in 2000 by CollabNet, Inc.,
the Subversion project and software have seen incredible success over the past decade.
Subversion has enjoyed and continues to enjoy widespread adoption in both the open source
arena and the corporate world.

Subversion is developed as a project of the Apache Software Foundation, and as such is 
part of a rich community of developers and users. We're always in need of individuals 
with a wide range of skills, and we invite you to participate in the development of 
Apache Subversion. Here's how to get started.

%package devel
Summary: Subversion development kit
Requires: subversion%{?_isa} = %{version}-%{release}, apr-devel%{?_isa}, apr-util-devel%{?_isa}, serf%{?_isa}, pkgconfig

%description devel
This package provides the support files which can be used to 
build applications using the subversion library. 

%prep
%setup -q

%build
./configure --prefix=%{_prefix} \
	--with-apr=%{_prefix} \
	--with-apr-util=%{_prefix} \
	--with-lz4=internal \
	--with-utf8proc=internal \
	--with-serf=%{_prefix} \
	--disable-keychain
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=%{buildroot}

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,wheel)
%doc CHANGES NOTICE doc
%license LICENSE
%{_bindir}/*
%{_libdir}/*
%{_datadir}/locale/*/*/*.mo

%files devel
%defattr(-,root,wheel)
%dir %{_includedir}/subversion-%{svnver}
%{_includedir}/subversion-%{svnver}/*
%{_datadir}/pkgconfig/*.pc
%{_mandir}/man*/*

%changelog
* Mon Jun 6 2022 Keisuke Fujii <keisuke.fujii@kek.jp> 1.12.2-12hepx2a
- 3rd release with src files on MacOS 12 for M1 Macs.
- built with OSXWS 12beta and clang

* Sun Apr 3 2022 Keisuke Fujii <keisuke.fujii@kek.jp> 1.12.2-12hepx1b
- 2nd binary only release on MacOS 12 for M1 Macs.
- built with OSXWS 12beta and clang

* Fri Mar 4 2022 Keisuke Fujii <keisuke.fujii@kek.jp> 1.12.2-12hepx1a
- 1st binary only release on MacOS 12 for M1 Macs.
- built with OSXWS 12beta and clang
